# H245_H235Mode_mediaMode Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_videoMode, e_audioMode, e_dataMode }

## Public Member Functions

| H245_H235Mode_mediaMode (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_VideoMode & ()
| operator const H245_VideoMode & () const
| operator H245_AudioMode & ()
| operator const H245_AudioMode & () const
| operator H245_DataMode & ()
| operator const H245_DataMode & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_H235Mode_mediaMode::Choices

Enumerator:

  e_nonStandard |
  e_videoMode |
  e_audioMode |
  e_dataMode |

## Constructor & Destructor Documentation

H245_H235Mode_mediaMode::H245_H235Mode_mediaMode | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_H235Mode_mediaMode::operator H245_NonStandardParameter & | ( |  | ) |

H245_H235Mode_mediaMode::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_H235Mode_mediaMode::operator H245_VideoMode & | ( |  | ) |

H245_H235Mode_mediaMode::operator const H245_VideoMode & | ( |  | ) | const

H245_H235Mode_mediaMode::operator H245_AudioMode & | ( |  | ) |

H245_H235Mode_mediaMode::operator const H245_AudioMode & | ( |  | ) | const

H245_H235Mode_mediaMode::operator H245_DataMode & | ( |  | ) |

H245_H235Mode_mediaMode::operator const H245_DataMode & | ( |  | ) | const

PBoolean H245_H235Mode_mediaMode::CreateObject | ( |  | ) |

PObject* H245_H235Mode_mediaMode::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h